Bug 18560 - RSS Feed link from OPAC shelves is broken
Summary: RSS Feed link from OPAC shelves is broken
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-09 04:13 UTC by M. Tompsett
Modified: 2017-05-14 09:46 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18560: RSS link in opac shelves is broken (1.22 KB, patch)
2017-05-09 04:18 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18560: RSS link in opac shelves is broken (1.35 KB, patch)
2017-05-09 04:50 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18560: RSS link in opac shelves is broken (1.42 KB, patch)
2017-05-09 13:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18560: RSS link in opac shelves is broken (1.11 KB, patch)
2017-05-10 12:39 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18560: RSS link in opac shelves is broken (1.18 KB, patch)
2017-05-10 22:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18560: RSS link in opac shelves is broken (1.24 KB, patch)
2017-05-11 10:42 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-05-09 04:13:37 UTC

    
Comment 1 M. Tompsett 2017-05-09 04:18:21 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2017-05-09 04:50:14 UTC
Created attachment 63266 [details] [review]
Bug 18560: RSS link in opac shelves is broken

TEST PLAN
---------
1) have books entered
2) log in create a list
3) add books to list
4) display list
5) click the RSS link button.
   -- bad HASH error.
6) apply patch
7) repeat steps 4&5
   -- readble junk without error messages.
8) run koha qa test tools

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Owen Leonard 2017-05-09 13:20:54 UTC
Created attachment 63286 [details] [review]
[SIGNED-OFF] Bug 18560: RSS link in opac shelves is broken

TEST PLAN
---------
1) have books entered
2) log in create a list
3) add books to list
4) display list
5) click the RSS link button.
   -- bad HASH error.
6) apply patch
7) repeat steps 4&5
   -- readble junk without error messages.
8) run koha qa test tools

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Sure this doesn't need a signoff, but I was already signing off when 
Marc did!
Comment 4 Jonathan Druart 2017-05-10 11:54:07 UTC
Mark,
You are not allowed to call _result outside of Koha::*
Actually you do not need to retrieve the author and the title, they are both returned by GetBiblioData few lines above.
And actually I do not understand this "if rss" conditional block, it looks useless.
Comment 5 M. Tompsett 2017-05-10 12:39:49 UTC
Created attachment 63340 [details] [review]
Bug 18560: RSS link in opac shelves is broken

Removed pointless code.

TEST PLAN
---------
1) have books entered
2) log in create a list
3) add books to list
4) display list
5) click the RSS link button.
   -- bad HASH error.
6) apply patch
7) repeat steps 4&5
   -- readble junk without error messages.
8) run koha qa test tools
Comment 6 M. Tompsett 2017-05-10 12:41:31 UTC
(In reply to Jonathan Druart from comment #4)
> You are not allowed to call _result outside of Koha::*

Sorry, was just looking for a quick fix.


> Actually you do not need to retrieve the author and the title, they are both
> returned by GetBiblioData few lines above.

Confirmed.


> And actually I do not understand this "if rss" conditional block, it looks
> useless.

Patch revised accordingly.
Comment 7 Katrin Fischer 2017-05-10 22:24:21 UTC
We are a bit sparse with information in the RSS feed, for example if the entry is an article record, you would like to show the source as well. But this definitely fixes a bug.
Comment 8 Katrin Fischer 2017-05-10 22:24:58 UTC
Created attachment 63375 [details] [review]
[SIGNED OFF] Bug 18560: RSS link in opac shelves is broken

TEST PLAN
---------
1) have books entered
2) log in create a list
3) add books to list
4) display list
5) click the RSS link button.
   -- bad HASH error.
6) apply patch
7) repeat steps 4&5
   -- readble junk without error messages.
8) run koha qa test tools

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Julian Maurice 2017-05-11 10:42:56 UTC
Created attachment 63381 [details] [review]
Bug 18560: RSS link in opac shelves is broken

TEST PLAN
---------
1) have books entered
2) log in create a list
3) add books to list
4) display list
5) click the RSS link button.
   -- bad HASH error.
6) apply patch
7) repeat steps 4&5
   -- readble junk without error messages.
8) run koha qa test tools

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 10 Julian Maurice 2017-05-11 10:45:15 UTC
Simple patch, fixes the bug as expected
Comment 11 M. Tompsett 2017-05-11 16:08:09 UTC
(In reply to Katrin Fischer from comment #7)
> We are a bit sparse with information in the RSS feed, for example if the
> entry is an article record, you would like to show the source as well. But
> this definitely fixes a bug.

Actually, that's the other thing I did notice. RSS feeds are not consistent in what they output. This one needs improvement, but that is beyond the scope of this specific bug.
Comment 12 Kyle M Hall 2017-05-12 12:45:24 UTC
Pushed to master for 17.05, thanks Mark!
Comment 13 Katrin Fischer 2017-05-14 09:46:29 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.